!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Subroutine LatentHeatPerMass
!
!   * Developer: KITAMORI Taichi 
!   * Version: $ 
!   * Tag Name: $Name:  $
!   * Change History: 
!
!== Overview 
!
!火星湿潤対流計算用. 
!単位凝結物質あたりの潜熱を計算する. 
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!CO2 大気の場合, 潜熱は一定とみなせるので定数値をあたえる.   
!2008/06/09 山下達也 改変
!== Future Plans
!
                                                                 !=end
!subroutine LatentHeatPerMass(ss_LatHeatPerMass_nl)    !(out)
subroutine LatentHeatPerMass(xz_LatHeatPerMassNl)    !(out)
                                                                 !=begin
  !==Dependency
  use dc_trace, only: BeginSub, EndSub  
  use gridset,  only: DimXMin, DimXMax, DimZMin, DimZMax
!  use physset,  only: GasR         ! 気体定数
!  use cloudset, only: SatPressB    ! Antoine の式の係数 B
  use Basicset,  only: GasRDry      ! 気体定数
  use ChemData, only: ChemData_SVapPress_AntoineB ! Antoine の式の係数 B
                                                                 !=end
  !==暗黙の型宣言を禁止
  implicit none
  
  !==Input
!  integer :: i,k  
  !==Output
  real(8), intent(out)  :: xz_LatHeatPerMassNl(DimXMin:DimXMax, DimZMin:DimZMax)                                   ! 単位質量あたりの潜熱
!  real(8), intent(out)  :: ss_LatHeatPerMass_nl(DimXMin:DimXMax, DimZMin:DimZMax)                                   ! 単位質量あたりの潜熱
  
  !==Work

  call BeginSub("LatentHeatPerMass", &
&           fmt="%c",        &
&           c1="Calculate latent heat per unit mass.")

! do k = DimZMin, DimZMax
!  do i = DimXMin, DimXMax

  xz_LatHeatPerMassNl = ChemData_SVapPress_AntoineB(12) * GasRDry
    ! CO2 の潜熱を計算
!  xz_LatHeatPerMassNl = 0.0d0
                                  ! 定数値を与える
!  end do
! end do

  call EndSub("LatentHeatPerMass")

end subroutine LatentHeatPerMass
